require "tools"
require "modules/game"
require "modules/intro"
require "modules/menu"

game_state = "menu"

winImg = love.graphics.newImage("img/win.png")

function love.load()
  initGame()

  font = love.graphics.newFont(12)
  mcFont = love.graphics.newFont(24)
  bFont = love.graphics.newFont("img/Aero.ttf",72)
  mFont = love.graphics.newFont("img/Aero.ttf",24)
end

function love.draw()
  if game_state == "menu" then
    drawMenu()
  elseif game_state == "intro" then
    drawIntro()
  elseif game_state == "game" then
    drawGame()
  elseif game_state == "win" then
    love.graphics.setColor(255,255,255)
    love.graphics.setBackgroundColor(0,0,0)
    love.graphics.draw(winImg)
    love.graphics.setFont(bFont)
    love.graphics.printf("WIN!",0,20,800,"center")
  end
end

function love.update(dt)
  if game_state == "menu" then
    updateMenu(dt)
  elseif game_state == "intro" then
    updateIntro(dt)
  elseif game_state == "game" then
    updateGame(dt)
  end
end
